## ros-indigo-cob-object-detection-msgs 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_object_detection_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib_msgs
  geometry_msgs
  message_generation
  sensor_msgs
  std_msgs
  std_srvs
)

#######################################
## Declare ROS messages and services ##
#######################################


## Generate actions in the 'action' folder
add_action_files(
  DIRECTORY
    action
  FILES
    AcquireObjectImage.action
    DetectObjects.action
    TrainObject.action
)

## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY
    msg
  FILES
    DetectionArray.msg
    Detection.msg
    MaskArray.msg
    Mask.msg
    PoseRT.msg
    RectArray.msg
    Rect.msg
)

## Generate services in the 'srv' folder
add_service_files(
  DIRECTORY
    srv
  FILES
    AcquireObjectImage.srv
    BagTrainObject.srv
    BaTestEnvironment.srv
    DetectObjects.srv
    SaveRecordedObject.srv
    StartObjectRecording.srv
    StopObjectRecording.srv
    TrainObject.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    std_msgs
    std_srvs 
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    geometry_msgs
    message_runtime
    sensor_msgs
    std_msgs
    std_srvs
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  test/detection_component_testing.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-object-detection-msgs (0.6.12-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * use license apache 2.0
  * Contributors: ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <rmb@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.10-0trusty) trusty; urgency=high

  * remove grasping service
  * added property to a service
  * added srv to CMakeLists
  * added a service for computing grasp points for vacuum grippers
  * Contributors: Richard Bormann

 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.8-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.7-0trusty) trusty; urgency=high

  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * Contributors: Richard Bormann, ipa-fmw

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.6-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.5-0trusty) trusty; urgency=high

  * Merge pull request #43 <https://github.com/ipa320/cob_perception_common/issues/43> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Using standard random number generator, replaced precompiled headers with references to a file within this metapackage. Adapted package description.
  * Added field ID
    In order to fit to the latest update of cob_fiducials
  * Contributors: Florian Weisshardt, Jan Fischer, ipa-jsf

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.4-0trusty) trusty; urgency=high

  * 0.5.12
  * update changelog
  * cleanup changelog
  * 0.5.11
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.3-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 07 Sep 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.2-0trusty) trusty; urgency=high

  * increase version number for indigo
  * 0.5.10
  * update changelog
  * downgrade version for hydro
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.1-0trusty) trusty; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.6.0-0trusty) trusty; urgency=high

  * 0.5.6
  * 0.5.5
  * update changelog
  * Added field ID
    In order to fit to latest update of cob_fiducials an id field is necessary
  * 0.5.5
  * update changelog
  * Contributors: Florian Weisshardt, Jan Fischer

 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.5.10-0trusty) trusty; urgency=high

  * downgrade version for hydro
  * 0.6.1
  * update changelog
  * 0.6.0
  * update changelog
  * 0.5.5
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.5.5-0trusty) trusty; urgency=high

  * Added field ID
    In order to fit to latest update of cob_fiducials an id field is necessary
  * Contributors: Jan Fischer

 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-object-detection-msgs (0.5.4-0trusty) trusty; urgency=high

  * unify version number
  * update changelog
  * adjust url and provide short form of email
  * catkinize cob_object_detection_msgs
  * convert stack to metapackge, ignore all pacakges within for now
  * fixed data type problems
  * added new service messages for object recording
  * Preparing folder for repo switch
  * Contributors: Florian Weisshardt, Jan Fischer, Richard Bormann, ipa-mig

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-object-detection-msgs
Section: misc
Priority: extra
Maintainer: Richard Bormann <rmb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://wiki.ros.org/cob_object_detection_msgs
Standards-Version: 3.9.2

Package: ros-indigo-cob-object-detection-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: This package contains message type definitions for object detection

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-object-detection-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
